class Attachement < ActiveRecord::Base
end

class SplitDocumentsToTwoTable < ActiveRecord::Migration
  def self.up
    rename_table :documents, :attachements
    create_table :documents, :id => false do |t|
      t.string :id, :limit => 36, :null => false
      t.string :filename, :null => false
    end
    Attachement.all.each do |a|
      d = Document.new(:filename => a.filename)
      d.save
    end
    change_table :attachements do |t|
      t.string :document_id, :limit => 36
    end
    Attachement.all.each do |a|
      a.document_id = Document.find_by_filename(a.filename).id
      a.save
    end
  end

  def self.down
  end
end
